# PhasicFlow: boundarySphereParticles Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundarySphereParticles Class Reference
Inheritance diagram for boundarySphereParticles:
[legend]
Collaboration diagram for boundarySphereParticles:
[legend]

## Public Member Functions

| TypeInfo ("boundarySphereParticles<none>")
| type info More...
| boundarySphereParticles (const boundaryBase &boundary, sphereParticles &prtcls)
| create_vCtor (boundarySphereParticles, boundaryBase,(const boundaryBase &boundary, sphereParticles &prtcls),(boundary, prtcls))
| add_vCtor (boundarySphereParticles, boundarySphereParticles, boundaryBase)
sphereParticles & | Particles ()
const sphereParticles & | Particles () const
bool | hearChanges (real t, real dt, uint32 iter, const message &msg, const anyList &varList) override
virtual bool | acceleration (const timeInfo &ti, const realx3 &g)
Public Member Functions inherited from generalBoundary
| TypeInfo ("generalBoundary")
| generalBoundary (const boundaryBase &boundary, const pointStructure &pStruct, const word &dataType, const word &option)
| ~generalBoundary () override=default
uint32 | thisBoundaryIndex () const
uint32 | mirrorBoundaryindex () const
auto | size () const
auto | capacity () const
auto | neighborProcSize () const
int | neighborProcessorNo () const
int | thisProcessorNo () const
const auto & | boundary () const
const auto & | indexList () const
const auto & | mirrorBoundary () const
const word & | boundaryName () const
const word & | type () const
const auto & | pStruct () const
bool | isBoundaryMaster () const
const Time & | time () const
Public Member Functions inherited from observer
| observer (message msg)
| observer (const subscriber *subscrbr, message msg)
virtual | ~observer ()
void | subscribe (const subscriber *subscrbr, message msg)
observer & | addEvent (message::EVENT event)
bool | subscribed () const
void | addToSubscriber (const subscriber *subscrbr, message msg)
bool | addToSubscriber (const subscriber &subscriber)

## Static Public Member Functions

static uniquePtr< boundarySphereParticles > | create (const boundaryBase &boundary, sphereParticles &prtcls)
Static Public Member Functions inherited from observer
static constexpr auto | numEvents ()

## Private Attributes

sphereParticles & | particles_

## Detailed Description

Definition at line 15 of file boundarySphereParticles.hpp.

## Constructor & Destructor Documentation

## boundarySphereParticles()

boundarySphereParticles | ( | const boundaryBase & | boundary,
|  | sphereParticles & | prtcls
| ) |  |

Definition at line 6 of file boundarySphereParticles.cpp.

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "boundarySphereParticles<none>" |  | ) |

type info

## create_vCtor()

create_vCtor | ( | boundarySphereParticles | ,
|  | boundaryBase | ,
|  | (const boundaryBase &boundary, sphereParticles &prtcls) | ,
|  | (boundary, prtcls) |
| ) |  |

## add_vCtor()

add_vCtor | ( | boundarySphereParticles | ,
|  | boundarySphereParticles | ,
|  | boundaryBase |
| ) |  |

## Particles() [1/2]

const pFlow::sphereParticles & Particles | ( |  | ) |

Definition at line 17 of file boundarySphereParticles.cpp.

## Particles() [2/2]

const sphereParticles& Particles | ( |  | ) | const

## hearChanges()

bool hearChanges | ( | real | t,
|  | real | dt,
|  | uint32 | iter,
|  | const message & | msg,
|  | const anyList & | varList
| ) |  |

inlineoverridevirtual

Implements observer.

Definition at line 52 of file boundarySphereParticles.hpp.

## acceleration()

virtual bool acceleration | ( | const timeInfo & | ti,
|  | const realx3 & | g
| ) |  |

inlinevirtual

Definition at line 63 of file boundarySphereParticles.hpp.

## create()

pFlow::uniquePtr< pFlow::boundarySphereParticles > create | ( | const boundaryBase & | boundary,
|  | sphereParticles & | prtcls
| ) |  |

static

Definition at line 27 of file boundarySphereParticles.cpp.

References pFlow::angleBracketsNames2(), pFlow::endl(), fatalError, fatalExit, Green_Text, boundaryBase::name(), pFlow::pFlowProcessors(), pFlow::pOutput, pFlow::printKeys(), iOstream::space(), and boundaryBase::type().

Referenced by boundarySphereParticlesList::boundarySphereParticlesList().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## particles_

sphereParticles& particles_

private

Definition at line 20 of file boundarySphereParticles.hpp.

The documentation for this class was generated from the following files:

- src/Particles/SphereParticles/boundarySphereParticles.hpp
- src/Particles/SphereParticles/boundarySphereParticles.cpp